GET
/private-cluster/{Private_Cluster_id}/nodes-info/
curl --request GET \ --url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/private-cluster/{Private_Cluster_id}/nodes-info/?location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( "https://api.e2enetworks.com/myaccount/api/v1/gpu/private-cluster/{Private_Cluster_id}/nodes-info/", params={"location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/gpu/private-cluster/{Private_Cluster_id}/nodes-info/");url.search = new URLSearchParams({ location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Private_Cluster_id
required
integer
Query Parameters
Section titled “Query Parameters”active_iam
integer
Active IAM ID (To access contact person account) Find your Active IAM ID here
location
required
string
Location
Responses
Section titled “Responses”Success
Media typeapplication/json
object
code
integer
data
Array<object>
object
name
string
worker_type
string
status
string
total_cpu
integer
total_gpu
integer
free_cpu
integer
allocated_cpu
integer
allocated_gpu
integer
free_gpu
integer
free_memory
integer
free_ephemeral_storage
integer
errors
object
message
string
Example
{ "code": 200, "data": [ { "name": "e2e_node_202", "worker_type": "private_cloud_56_GDC-8xH10080", "status": "Ready", "total_cpu": 224, "total_gpu": 8, "free_cpu": 224, "allocated_cpu": 0, "allocated_gpu": 0, "free_gpu": 8, "free_memory": 2164, "free_ephemeral_storage": 783 } ], "errors": {}, "message": "Success"}